Using CPAN.pm without upgrading to Perl 5.6 
Author Message
 Using CPAN.pm without upgrading to Perl 5.6

I love the CPAN.pm module. Makes installations easy. However, I can not
upgrade to Perl 5.6. Some modules, when installing, automatically try
to update to Perl 5.6.  How can I turn this off?

Gracias.

Sent via Deja.com
http://www.*-*-*.com/



Wed, 23 Jul 2003 00:26:30 GMT  
 Using CPAN.pm without upgrading to Perl 5.6


 | I love the CPAN.pm module. Makes installations easy. However, I can not
 | upgrade to Perl 5.6. Some modules, when installing, automatically try
 | to update to Perl 5.6.  How can I turn this off?

Some module updates are part and parcel of the 5.006 release of Perl,
and thus cannot be updated beyond what you have already unless you can
also update to 5.006 .. this may in some instances be because they are
part of a standard distribution, or because they now use such constructs
that have been introduced since 5.004 or 5.005.

it's always a good idea to

cpan> i Some::Module

or

cpan> i /Some::Module/

before trying to download and install, to see whether it is or not.

Might I also suggest that you get the Storable module.. CPAN can use
this to cache the Metadata and make reloading CPAN somewhat faster.

--
send mail to mactech (at) webdragon (dot) net instead of the above address.
this is to prevent spamming. e-mail reply-to's have been altered
to prevent scan software from extracting my address for the purpose
of spamming me, which I hate with a passion bordering on obsession.  



Wed, 23 Jul 2003 02:24:07 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. How can I install modules with CPAN.pm without upgrading to Perl 5.6?

2. perl 5.6 for linux using CPAN

3. CPAN - Installing modules without perl upgrade

4. CPAN.pm wants to install 5.6

5. Upgrading to Perl 5.6 under Debian 2.2

6. Lost Access to Tied Hashes after Perl 5.6 Upgrade

7. Upgrading to Perl 5.6 under Debian 2.2

8. using CPAN to upgrade perl version

9. 5.6 Upgrade - modules

10. Can't open DBM after upgrading from 5.005 to 5.6

11. Lost libraries when upgrading from 5.005 to 5.6

12. Upgrade 5.004 -> 5.6 and binary modules

 

 
Powered by phpBB® Forum Software